Download it now!
Bug 73836 - FILESAVE: CSV export problem with formatted text cells
Summary: FILESAVE: CSV export problem with formatted text cells
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.4.2 release
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: BSA target:4.3.0 target:4.2.0 target:...
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-20 15:21 UTC by Philipp Tobler
Modified: 2014-01-23 11:17 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Test file in ODS format (8.80 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-01-20 15:21 UTC, Philipp Tobler
Details
Test file in CSV format (90 bytes, text/csv)
2014-01-20 15:22 UTC, Philipp Tobler
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Tobler 2014-01-20 15:21:47 UTC
Created attachment 92462 [details]
Test file in ODS format

Problem description: 
I often need to generate csv lists with IP addresses and FQDN. Usually, I enter the hostame in a cell and add the domain by adding a text format code to the cell. 

Steps to reproduce:
1. enter some host names in a few cells
2. select those cells
3. Format -> Cells… 
4. Category: Text
5. Format code: @.example.com
6. OK
7. Save As…
8. File type: Text CSV
9. Save

Current behavior:
1. open the CSV in a text editor
2. the hostnames contain the text from the format code twice, e.g. "test1.example.com.example.com"

Expected behavior:
Correct export of the format code.
Operating System: Mac OS X
Version: 4.1.4.2 release
Comment 1 Philipp Tobler 2014-01-20 15:22:32 UTC
Created attachment 92463 [details]
Test file in CSV format
Comment 2 Eike Rathke 2014-01-20 16:34:12 UTC
Actually that happens also when saving to .ods, see first attachment. And again and again and again ...

Taking.
Comment 3 Commit Notification 2014-01-20 18:25:59 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f6b9b73a1f87d1815ed8ab8f2494e5526a710bb9

resolved fdo#73836 do not apply format twice to string



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-01-20 19:31:18 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5eb37896ca344276cc0753ad93b822d7be9b21d6&h=libreoffice-4-2

resolved fdo#73836 do not apply format twice to string


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Eike Rathke 2014-01-20 21:09:00 UTC
Pending review
for 4-2-0 at https://gerrit.libreoffice.org/7550
for 4-1 at https://gerrit.libreoffice.org/7553
for 4-1-5 at https://gerrit.libreoffice.org/7554

The .ods case apparently is related to bug 70275.
Comment 6 Commit Notification 2014-01-20 23:17:50 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e1f9f700203d8a3b7f0f7b14a7816a939e98d1d5&h=libreoffice-4-1

resolved fdo#73836 do not apply format twice to string


It will be available in LibreOffice 4.1.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-01-21 08:32:07 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-2-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a8de4627134ed8bf79a50c78a39f42fbc3be1051&h=libreoffice-4-2-0

resolved fdo#73836 do not apply format twice to string


It will be available already in LibreOffice 4.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-01-21 10:55:21 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-1-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b00aee5aa776c99940d858a8b73557612a558d01&h=libreoffice-4-1-5

resolved fdo#73836 do not apply format twice to string


It will be available already in LibreOffice 4.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Philipp Tobler 2014-01-23 11:17:27 UTC
Thanks, works well for me.
I've got another problem with text formats which I'll file in a new bug report.